Package be.ehealth.technicalconnector.handler

# Class CertificateCallback

java.lang.Object
be.ehealth.technicalconnector.handler.AbstractSOAPHandler
be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler
be.ehealth.technicalconnector.handler.CertificateCallback

All Implemented Interfaces:
  `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`, `jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

public class CertificateCallback extends AbstractWsSecurityHandler
The Class CertificateCallback.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler

  `AbstractWsSecurityHandler.SignedParts, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep0, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep1, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep2, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep3, AbstractWsSecurityHandler.WSSecHeaderGeneratorStep4`

- ## Field Summary

  ### Fields inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler

  `PROP_WSSECHEADER_GENERATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateCallback()`
  `CertificateCallback(Credential cred)`
  Instantiates a new x509 handler
  `CertificateCallback(X509Certificate certificate, PrivateKey privateKey)`
  Instantiates a new x509 handler

- ## Method Summary

  ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractWsSecurityHandler

  `buildSignature, handleOutbound`

  ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler

  `close, dumpMessage, getHeaders, handleFault, handleInbound, handleMessage`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertificateCallback

    public CertificateCallback() throws TechnicalConnectorException
    Throws:
      `TechnicalConnectorException`

  - ### CertificateCallback

    public CertificateCallback(X509Certificate certificate, PrivateKey privateKey)
    Instantiates a new x509 handler

  - ### CertificateCallback

    public CertificateCallback(Credential cred)
    Instantiates a new x509 handler